Package com.ngrok.definitions

# Class EndpointIpPolicy

java.lang.Object
com.ngrok.definitions.EndpointIpPolicy

public class EndpointIpPolicy extends Object
A class encapsulating the `EndpointIpPolicy` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EndpointIpPolicy(Optional<Boolean> enabled, List<Ref> ipPolicies)`
  Creates a new instance of `EndpointIpPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<Boolean>`
  `getEnabled()`
  `true` if the module will be applied to traffic, `false` to disable.
  `List<Ref>`
  `getIpPolicies()`
  Fetches the value of the `ipPolicies` property.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EndpointIpPolicy

    public EndpointIpPolicy(Optional<Boolean> enabled, List<Ref> ipPolicies)
    Creates a new instance of `EndpointIpPolicy`.
    Parameters:
      `enabled` - `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
      `ipPolicies` - the value of the `ip_policies` parameter as a `List` of `Ref`

- ## Method Details

  - ### getEnabled

    public Optional<Boolean> getEnabled()
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Returns:
      the value of the property as a `boolean` wrapped in an `Optional`

  - ### getIpPolicies

    public List<Ref> getIpPolicies()
    Fetches the value of the `ipPolicies` property.
    Returns:
      the value of the property as a `List` of `Ref`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`